# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
# Copyright (C) Sunplus Ltd. Co. 2021
%YAML 1.2
---
$id: http://devicetree.org/schemas/mmc/sunplus,mmc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Sunplus MMC Controller

maintainers:
  - Tony Huang <tonyhuang.sunplus@gmail.com>
  - Li-hao Kuo <lhjeff911@gmail.com>

allOf:
  - $ref: "mmc-controller.yaml"

properties:
  compatible:
    enum:
      - sunplus,sp7021-mmc

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  resets:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - resets

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    mmc0: mmc@9c003b00 {
        compatible = "sunplus,sp7021-mmc";
        reg = <0x9c003b00 0x180>;
        interrupts = <20 IRQ_TYPE_LEVEL_HIGH>;
        clocks = <&clkc 0x4e>;
        resets = <&rstc 0x3e>;
        bus-width = <8>;
        max-frequency = <52000000>;
        non-removable;
        disable-wp;
        cap-mmc-highspeed;
        mmc-ddr-3_3v;
        no-sdio;
        no-sd;
    };
